## zonedb 1.0.3172

=== Makefile ===
.PHONY: test update metadata/*.json

install:
	go install ./cmd/zonedb

test:
	go run cmd/zonedb/main.go
	go test ./...

zones.go: zones.txt metadata/*.json internal/* internal/*/*
	go generate

update:
	go run cmd/zonedb/main.go -update -w -c 100 $(ZONEDB_ARGS)
	$(MAKE) zones.go

normalize:
	go run cmd/zonedb/main.go -w
	$(MAKE) zones.go

git_revision=$(shell git describe --no-tags --always --dirty --abbrev=0)
number_of_commits=$(shell git rev-list HEAD --count)
major_version=$(shell cat VERSION)
tag_version=v$(major_version).$(number_of_commits)

tag-version: .git/refs/heads/main
	git tag $(tag_version) $(git_revision)
	git push --tags

## zonedb 1.0.3170

=== debian/changelog ===
zonedb (1.0.3170-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 08 Sep 2023 17:43:47 +0200

zonedb (1.0.3170-0kali1) kali-dev; urgency=low

  [ Kali Janitor ]
  * New upstream release.

  [ Sophie Brun ]
  * New upstream version 1.0.3170
  * Bump Standards-Version to 4.5.1
  * Add missing zones.txt and metadata in /var/lib/zonedb

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 13 Apr 2021 14:44:53 +0200

zonedb (1.0.2836-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 08 Oct 2020 14:40:24 +0200

=== debian/control ===
Source: zonedb
Section: utils
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-miekg-dns-dev,
               golang-github-puerkitobio-goquery-dev,
               golang-github-wsxiaoys-terminal-dev,
               golang-golang-x-net-dev,
               golang-golang-x-text-dev
Standards-Version: 4.5.1
Homepage: https://github.com/zonedb/zonedb
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/zonedb/zonedb
Testsuite: autopkgtest-pkg-go

Package: zonedb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Public Zone Database (program)
 This package provides a free, open-source database
 (http://opendatacommons.org/licenses/odbl/1.0/) containing a list and
 associated metadata of public DNS zones
 (http://en.wikipedia.org/wiki/DNS_zone) (domain name extensions). It attempts
 to be exhaustive, including current, retired, and withdrawn top-level domains
 and subdomains.

Package: golang-github-zonedb-zonedb-dev
Section: devel
Architecture: all
Depends: ${misc:Depends},
         golang-github-miekg-dns-dev,
         golang-github-puerkitobio-goquery-dev,
         golang-github-wsxiaoys-terminal-dev,
         golang-golang-x-net-dev,
         golang-golang-x-text-dev
Description: Public Zone Database (source library)
 This package provides a free, open-source database
 (http://opendatacommons.org/licenses/odbl/1.0/) containing a list and
 associated metadata of public DNS zones
 (http://en.wikipedia.org/wiki/DNS_zone) (domain name extensions). It attempts
 to be exhaustive, including current, retired, and withdrawn top-level domains
 and subdomains.
 .
 This package is the library package (source code).

## zonedb 1.0.3172

=== debian/changelog ===
zonedb (1.0.3172-0kali1~jan+nur1) kali-experimental; urgency=low

  * New upstream release.
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Wed, 14 Apr 2021 15:46:46 -0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: zonedb
 Section: utils
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
@@ -12,6 +12,8 @@
                golang-golang-x-net-dev,
                golang-golang-x-text-dev
 Standards-Version: 4.5.1
+Vcs-Browser: https://gitlab.com/kalilinux/packages/zonedb
+Vcs-Git: https://gitlab.com/kalilinux/packages/zonedb.git
 Homepage: https://github.com/zonedb/zonedb
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/zonedb/zonedb
